;;; jabber-autoloads.el --- automatically extracted autoloads
;;
;;; Code:


;;;### (autoloads (jabber-info jabber-customize jabber-debug-keep-process-buffers
;;;;;;  jabber-debug-log-xml jabber-default-priority jabber-default-status
;;;;;;  jabber-default-show jabber-account-list) "jabber" "jabber.el"
;;;;;;  (18646 41179))
;;; Generated autoloads from jabber.el

(defvar jabber-account-list nil "\
List of Jabber accounts.
Each element of the list is a cons cell describing a Jabber account,
where the car is a JID and the CDR is an alist.

JID is a full Jabber ID string (e.g. foo@bar.tld). You can also
specify the resource (e.g. foo@bar.tld/emacs).
The following keys can be present in the alist:
:password is a string to authenticate ourself against the server.
It can be empty.
:network-server is a string identifying the address to connect to,
if it's different from the server part of the JID.
:port is the port to use (default depends on connection type).
:connection-type is a symbol. Valid symbols are `starttls',
`network' and `ssl'.

Only JID is mandatory.  The rest can be guessed at run-time.

Examples:

Two accounts without any special configuration:
\((\"foo@example.com\") (\"bar@example.net\"))

One disabled account with a non-standard port:
\((\"romeo@montague.net\" (:port . 5242) (:disabled . t)))

If you don't have SRV and STARTTLS capabilities in your Emacs,
configure a Google Talk account like this:
\((\"username@gmail.com\" 
  (:network-server . \"talk.google.com\")
  (:connection-type . ssl)))")

(custom-autoload (quote jabber-account-list) "jabber" t)

(defvar jabber-default-show "" "\
default show state")

(custom-autoload (quote jabber-default-show) "jabber" t)

(defvar jabber-default-status "" "\
default status string")

(custom-autoload (quote jabber-default-status) "jabber" t)

(defvar jabber-default-priority 10 "\
default priority")

(custom-autoload (quote jabber-default-priority) "jabber" t)

(defvar *jabber-current-status* nil "\
the users current presence staus")

(defvar *jabber-current-show* nil "\
the users current presence show")

(defvar *jabber-current-priority* nil "\
the user's current priority")

(defvar jabber-debug-log-xml nil "\
log all XML i/o in *-jabber-xml-log-JID-*")

(custom-autoload (quote jabber-debug-log-xml) "jabber" t)

(defvar jabber-debug-keep-process-buffers nil "\
If nil, kill process buffers when the process dies.
Contents of process buffers might be useful for debugging.")

(custom-autoload (quote jabber-debug-keep-process-buffers) "jabber" t)

(defconst jabber-presence-faces (quote (("" . jabber-roster-user-online) ("away" . jabber-roster-user-away) ("xa" . jabber-roster-user-xa) ("dnd" . jabber-roster-user-dnd) ("chat" . jabber-roster-user-chatty) ("error" . jabber-roster-user-error) (nil . jabber-roster-user-offline))) "\
Mapping from presence types to faces")

(defconst jabber-presence-strings (quote (("" . "Online") ("away" . "Away") ("xa" . "Extended Away") ("dnd" . "Do not Disturb") ("chat" . "Chatty") ("error" . "Error") (nil . "Offline"))) "\
Mapping from presence types to readable strings")

(autoload (quote jabber-customize) "jabber" "\
customize jabber options

\(fn)" t nil)

(autoload (quote jabber-info) "jabber" "\
open jabber.el manual

\(fn)" t nil)

;;;***

;;;### (autoloads (jabber-activity-mode) "jabber-activity" "jabber-activity.el"
;;;;;;  (18656 35878))
;;; Generated autoloads from jabber-activity.el

(defvar jabber-activity-mode t "\
Non-nil if Jabber-Activity mode is enabled.
See the command `jabber-activity-mode' for a description of this minor mode.
Setting this variable directly does not take effect;
either customize it (see the info node `Easy Customization')
or call the function `jabber-activity-mode'.")

(custom-autoload (quote jabber-activity-mode) "jabber-activity" nil)

(autoload (quote jabber-activity-mode) "jabber-activity" "\
Toggle display of activity in hidden jabber buffers in the mode line.

With a numeric arg, enable this display if arg is positive.

\(fn &optional ARG)" t nil)

;;;***

;;;### (autoloads (jabber-autoaway-start) "jabber-autoaway" "jabber-autoaway.el"
;;;;;;  (18665 62242))
;;; Generated autoloads from jabber-autoaway.el

(autoload (quote jabber-autoaway-start) "jabber-autoaway" "\
Start autoaway timer.
The IGNORED argument is there so you can put this function in
`jabber-post-connect-hooks'.

\(fn &optional IGNORED)" t nil)

;;;***

;;;### (autoloads (jabber-edit-bookmarks jabber-get-bookmarks-from-cache
;;;;;;  jabber-get-bookmarks jabber-parse-conference-bookmark jabber-get-conference-data)
;;;;;;  "jabber-bookmarks" "jabber-bookmarks.el" (18519 53158))
;;; Generated autoloads from jabber-bookmarks.el

(autoload (quote jabber-get-conference-data) "jabber-bookmarks" "\
Get bookmark data for CONFERENCE-JID.
KEY may be nil or one of :name, :autojoin, :nick and :password.
If KEY is nil, a plist containing the above keys is returned.
CONT is called when the result is available, with JC and the
result as arguments.  If CONT is nil, return the requested data
immediately, and return nil if it is not in the cache.

\(fn JC CONFERENCE-JID CONT &optional KEY)" nil nil)

(autoload (quote jabber-parse-conference-bookmark) "jabber-bookmarks" "\
Convert a <conference/> tag into a plist.
The plist may contain the keys :jid, :name, :autojoin,
:nick and :password.

\(fn NODE)" nil nil)

(autoload (quote jabber-get-bookmarks) "jabber-bookmarks" "\
Retrieve bookmarks (if needed) and call CONT.
Arguments to CONT are JC and the bookmark list.  CONT will be
called as the result of a filter function or a timer.
If REFRESH is non-nil, always fetch bookmarks.

\(fn JC CONT &optional REFRESH)" nil nil)

(autoload (quote jabber-get-bookmarks-from-cache) "jabber-bookmarks" "\
Return cached bookmarks for JC.
If bookmarks have not yet been fetched by `jabber-get-bookmarks',
return nil.

\(fn JC)" nil nil)

(autoload (quote jabber-edit-bookmarks) "jabber-bookmarks" "\
Create a buffer for editing bookmarks interactively.

\(fn JC)" t nil)

;;;***

;;;### (autoloads (jabber-chat-get-buffer) "jabber-chat" "jabber-chat.el"
;;;;;;  (18656 55680))
;;; Generated autoloads from jabber-chat.el

(defvar jabber-chatting-with nil "\
JID of the person you are chatting with")

(autoload (quote jabber-chat-get-buffer) "jabber-chat" "\
Return the chat buffer for chatting with CHAT-WITH (bare or full JID).
Either a string or a buffer is returned, so use `get-buffer' or
`get-buffer-create'.

\(fn CHAT-WITH)" nil nil)

;;;***

;;;### (autoloads nil "jabber-chatbuffer" "jabber-chatbuffer.el"
;;;;;;  (18700 17499))
;;; Generated autoloads from jabber-chatbuffer.el

(defvar jabber-buffer-connection nil "\
The connection used by this buffer.")

(make-variable-buffer-local (quote jabber-buffer-connection))

;;;***

;;;### (autoloads (jabber-compose) "jabber-compose" "jabber-compose.el"
;;;;;;  (17958 41192))
;;; Generated autoloads from jabber-compose.el

(autoload (quote jabber-compose) "jabber-compose" "\
Create a buffer for composing a Jabber message.

\(fn JC &optional RECIPIENT)" t nil)

;;;***

;;;### (autoloads nil "jabber-core" "jabber-core.el" (18824 58598))
;;; Generated autoloads from jabber-core.el
 (autoload 'jabber-connect-all "jabber" "Connect to all configured Jabber accounts.\nSee `jabber-account-list'.\nIf no accounts are configured (or ARG supplied), call `jabber-connect' interactively." t)
 (autoload 'jabber-connect "jabber" "Connect to the Jabber server and start a Jabber XML stream.\nWith prefix argument, register a new account.\nWith double prefix argument, specify more connection details." t)

;;;***

;;;### (autoloads (jabber-import-roster jabber-export-roster) "jabber-export"
;;;;;;  "jabber-export.el" (18442 57588))
;;; Generated autoloads from jabber-export.el

(autoload (quote jabber-export-roster) "jabber-export" "\
Export roster for connection JC.

\(fn JC)" t nil)

(autoload (quote jabber-import-roster) "jabber-export" "\
Create buffer for roster import for connection JC from FILE.

\(fn JC FILE)" t nil)

;;;***

;;;### (autoloads (jabber-gmail-query jabber-gmail-subscribe) "jabber-gmail"
;;;;;;  "jabber-gmail.el" (18365 38343))
;;; Generated autoloads from jabber-gmail.el

(autoload (quote jabber-gmail-subscribe) "jabber-gmail" "\
Subscribe to gmail notifications.
See http://code.google.com/apis/talk/jep_extensions/usersettings.html#4

\(fn JC)" t nil)

(autoload (quote jabber-gmail-query) "jabber-gmail" "\
Request mail information from the Google Talk server (a.k.a. one shot query).
See http://code.google.com/apis/talk/jep_extensions/gmail.html#requestmail

\(fn JC)" t nil)

;;;***

;;;### (autoloads (jabber-whitespace-ping-start jabber-whitespace-ping-interval
;;;;;;  jabber-keepalive-start jabber-keepalive-timeout jabber-keepalive-interval
;;;;;;  jabber-keepalive) "jabber-keepalive" "jabber-keepalive.el"
;;;;;;  (18646 41180))
;;; Generated autoloads from jabber-keepalive.el

(let ((loads (get (quote jabber-keepalive) (quote custom-loads)))) (if (member (quote "jabber-keepalive") loads) nil (put (quote jabber-keepalive) (quote custom-loads) (cons (quote "jabber-keepalive") loads))))

(defvar jabber-keepalive-interval 600 "\
Interval in seconds between connection checks.")

(custom-autoload (quote jabber-keepalive-interval) "jabber-keepalive" t)

(defvar jabber-keepalive-timeout 20 "\
Seconds to wait for response from server.")

(custom-autoload (quote jabber-keepalive-timeout) "jabber-keepalive" t)

(autoload (quote jabber-keepalive-start) "jabber-keepalive" "\
Activate keepalive.
That is, regularly send a ping request to the server, and
disconnect if it doesn't answer.  See `jabber-keepalive-interval'
and `jabber-keepalive-timeout'.

The JC argument makes it possible to add this function to
`jabber-post-connect-hooks'; it is ignored.  Keepalive is activated
for all accounts regardless of the argument.

\(fn &optional JC)" t nil)

(defvar jabber-whitespace-ping-interval 30 "\
Send a space character to the server with this interval, in seconds.

This is a traditional remedy for a number of problems: to keep NAT
boxes from considering the connection dead, to have the OS discover
earlier that the connection is lost, and to placate servers which rely
on the client doing this, e.g. Openfire.

If you want to verify that the server is able to answer, see
`jabber-keepalive-start' for another mechanism.")

(custom-autoload (quote jabber-whitespace-ping-interval) "jabber-keepalive" t)

(autoload (quote jabber-whitespace-ping-start) "jabber-keepalive" "\
Start sending whitespace pings at regular intervals.
See `jabber-whitespace-ping-interval'.

The JC argument is ignored; whitespace pings are enabled for all
accounts.

\(fn &optional JC)" t nil)

;;;***

;;;### (autoloads nil "jabber-keymap" "jabber-keymap.el" (18447 60977))
;;; Generated autoloads from jabber-keymap.el

(defvar jabber-global-keymap (let ((map (make-sparse-keymap))) (define-key map "" (quote jabber-connect-all)) (define-key map "" (quote jabber-disconnect)) (define-key map "" (quote jabber-switch-to-roster-buffer)) (define-key map "\n" (quote jabber-chat-with)) (define-key map "\f" (quote jabber-activity-switch-to)) (define-key map "" (quote jabber-send-away-presence)) (define-key map "" (quote jabber-send-default-presence)) (define-key map "" (quote jabber-send-xa-presence)) (define-key map "" (quote jabber-send-presence)) map) "\
Global Jabber keymap (usually under C-x C-j)")

(define-key ctl-x-map "\n" jabber-global-keymap)

;;;***

;;;### (autoloads (jabber-display-menu) "jabber-menu" "jabber-menu.el"
;;;;;;  (18748 17385))
;;; Generated autoloads from jabber-menu.el

(defvar jabber-menu (let ((map (make-sparse-keymap "jabber-menu"))) (define-key map [jabber-menu-connect] (quote ("Connect" . jabber-connect-all))) (define-key map [jabber-menu-disconnect] (quote ("Disconnect" . jabber-disconnect))) (define-key map [jabber-menu-roster] (quote ("Switch to roster" . jabber-switch-to-roster-buffer))) (define-key map [jabber-menu-customize] (quote ("Customize" . jabber-customize))) (define-key map [jabber-menu-info] (quote ("Help" . jabber-info))) (define-key map [jabber-menu-status] (cons "Set Status" (make-sparse-keymap "set-status"))) (define-key map [jabber-menu-status jabber-menu-status-chat] (quote ("Chatty" lambda nil (interactive) (jabber-send-presence "chat" (jabber-read-with-input-method "status message: " *jabber-current-status* (quote *jabber-status-history*)) *jabber-current-priority*)))) (define-key map [jabber-menu-status jabber-menu-status-dnd] (quote ("Do not Disturb" lambda nil (interactive) (jabber-send-presence "dnd" (jabber-read-with-input-method "status message: " *jabber-current-status* (quote *jabber-status-history*)) *jabber-current-priority*)))) (define-key map [jabber-menu-status jabber-menu-status-xa] (quote ("Extended Away" . jabber-send-xa-presence))) (define-key map [jabber-menu-status jabber-menu-status-away] (quote ("Away" . jabber-send-away-presence))) (define-key map [jabber-menu-status jabber-menu-status-online] (quote ("Online" . jabber-send-default-presence))) map))

(defvar jabber-display-menu (quote maybe) "\
Decide whether the \"Jabber\" menu is displayed in the menu bar.
If t, always display.
If nil, never display.
If maybe, display if any of `jabber-account-list' or `jabber-connections'
is non-nil.")

(custom-autoload (quote jabber-display-menu) "jabber-menu" t)

(define-key-after global-map [menu-bar jabber-menu] (list (quote menu-item) "Jabber" jabber-menu :visible (quote (or (eq jabber-display-menu t) (and (eq jabber-display-menu (quote maybe)) (or jabber-account-list (bound-and-true-p jabber-connections)))))))

;;;***

;;;### (autoloads (jabber-muc-private-message-p jabber-muc-sender-p
;;;;;;  jabber-muc-message-p jabber-muc-private-get-buffer jabber-muc-get-buffer
;;;;;;  jabber-muc-autojoin jabber-muc-default-nicknames) "jabber-muc"
;;;;;;  "jabber-muc.el" (18824 58732))
;;; Generated autoloads from jabber-muc.el

(defvar *jabber-active-groupchats* nil "\
alist of groupchats and nicknames
Keys are strings, the bare JID of the room.
Values are strings.")

(defvar jabber-muc-default-nicknames nil "\
Default nickname for specific MUC rooms.")

(custom-autoload (quote jabber-muc-default-nicknames) "jabber-muc" t)

(defvar jabber-muc-autojoin nil "\
List of MUC rooms to automatically join on connection.
This list is saved in your Emacs customizations.  You can also store
such a list on the Jabber server, where it is available to every
client; see `jabber-edit-bookmarks'.")

(custom-autoload (quote jabber-muc-autojoin) "jabber-muc" t)

(defvar jabber-muc-printers (quote nil) "\
List of functions that may be able to print part of a MUC message.
This gets prepended to `jabber-chat-printers', which see.")

(autoload (quote jabber-muc-get-buffer) "jabber-muc" "\
Return the chat buffer for chatroom GROUP.
Either a string or a buffer is returned, so use `get-buffer' or
`get-buffer-create'.

\(fn GROUP)" nil nil)

(autoload (quote jabber-muc-private-get-buffer) "jabber-muc" "\
Return the chat buffer for private chat with NICKNAME in GROUP.
Either a string or a buffer is returned, so use `get-buffer' or
`get-buffer-create'.

\(fn GROUP NICKNAME)" nil nil)

(autoload (quote jabber-muc-message-p) "jabber-muc" "\
Return non-nil if MESSAGE is a groupchat message.
That does not include private messages in a groupchat, but does
include groupchat invites.

\(fn MESSAGE)" nil nil)

(autoload (quote jabber-muc-sender-p) "jabber-muc" "\
Return non-nil if JID is a full JID of an MUC participant.

\(fn JID)" nil nil)

(autoload (quote jabber-muc-private-message-p) "jabber-muc" "\
Return non-nil if MESSAGE is a private message in a groupchat.

\(fn MESSAGE)" nil nil)

;;;***

;;;### (autoloads (jabber-muc-looks-like-personal-p) "jabber-muc-nick-completion"
;;;;;;  "jabber-muc-nick-completion.el" (18559 10723))
;;; Generated autoloads from jabber-muc-nick-completion.el

(autoload (quote jabber-muc-looks-like-personal-p) "jabber-muc-nick-completion" "\
Return non-nil if jabber MESSAGE is addresed to me.
Optional argument GROUP to look.

\(fn MESSAGE &optional GROUP)" nil nil)

;;;***

;;;### (autoloads (jabber-send-default-presence jabber-send-presence)
;;;;;;  "jabber-presence" "jabber-presence.el" (18824 58597))
;;; Generated autoloads from jabber-presence.el

(autoload (quote jabber-send-presence) "jabber-presence" "\
Set presence for all accounts.

\(fn SHOW STATUS PRIORITY)" t nil)

(autoload (quote jabber-send-default-presence) "jabber-presence" "\
Send default presence.
Default presence is specified by `jabber-default-priority', `jabber-default-show',
and `jabber-default-status'.

\(fn &optional JC)" t nil)

;;;***

;;;### (autoloads (jabber-private-set jabber-private-get) "jabber-private"
;;;;;;  "jabber-private.el" (18442 57589))
;;; Generated autoloads from jabber-private.el

(autoload (quote jabber-private-get) "jabber-private" "\
Retrieve an item from private XML storage.
The item to retrieve is identified by NODE-NAME (a symbol) and
NAMESPACE (a string).

On success, SUCCESS-CALLBACK is called with JC and the retrieved
XML fragment.

On error, ERROR-CALLBACK is called with JC and the entire IQ
result.

\(fn JC NODE-NAME NAMESPACE SUCCESS-CALLBACK ERROR-CALLBACK)" nil nil)

(autoload (quote jabber-private-set) "jabber-private" "\
Store FRAGMENT in private XML storage.
SUCCESS-CALLBACK, SUCCESS-CLOSURE-DATA, ERROR-CALLBACK and
ERROR-CLOSURE-DATA are used as in `jabber-send-iq'.

\(fn JC FRAGMENT &optional SUCCESS-CALLBACK SUCCESS-CLOSURE-DATA ERROR-CALLBACK ERROR-CLOSURE-DATA)" nil nil)

;;;***

;;;### (autoloads (jabber-roster-update jabber-switch-to-roster-buffer)
;;;;;;  "jabber-roster" "jabber-roster.el" (18665 62229))
;;; Generated autoloads from jabber-roster.el

(autoload (quote jabber-switch-to-roster-buffer) "jabber-roster" "\
Switch to roster buffer.
Optional JC argument is ignored; it's there so this function can
be used in `jabber-post-connection-hooks'.

\(fn &optional JC)" t nil)

(autoload (quote jabber-roster-update) "jabber-roster" "\
Update roster, in memory and on display.
Add NEW-ITEMS, update CHANGED-ITEMS and remove DELETED-ITEMS, all
three being lists of JID symbols.

\(fn JC NEW-ITEMS CHANGED-ITEMS DELETED-ITEMS)" nil nil)

;;;***

;;;### (autoloads nil nil ("fsm.el" "jabber-ahc-presence.el" "jabber-ahc.el"
;;;;;;  "jabber-alert.el" "jabber-avatar.el" "jabber-browse.el" "jabber-chatstates.el"
;;;;;;  "jabber-conn.el" "jabber-disco.el" "jabber-events.el" "jabber-feature-neg.el"
;;;;;;  "jabber-festival.el" "jabber-ft-client.el" "jabber-ft-common.el"
;;;;;;  "jabber-ft-server.el" "jabber-history.el" "jabber-iq.el"
;;;;;;  "jabber-libnotify.el" "jabber-logon.el" "jabber-modeline.el"
;;;;;;  "jabber-newdisco.el" "jabber-osd.el" "jabber-ourversion.el"
;;;;;;  "jabber-ratpoison.el" "jabber-register.el" "jabber-sasl.el"
;;;;;;  "jabber-sawfish.el" "jabber-screen.el" "jabber-search.el"
;;;;;;  "jabber-si-client.el" "jabber-si-common.el" "jabber-si-server.el"
;;;;;;  "jabber-socks5.el" "jabber-time.el" "jabber-truncate.el"
;;;;;;  "jabber-util.el" "jabber-vcard-avatars.el" "jabber-vcard.el"
;;;;;;  "jabber-version.el" "jabber-watch.el" "jabber-widget.el"
;;;;;;  "jabber-wmii.el" "jabber-xmessage.el" "jabber-xml.el" "make-autoloads.el"
;;;;;;  "srv.el") (18844 41944 760000))

;;;***

(provide 'jabber-autoloads)
;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; jabber-autoloads.el ends here
